CREATE OR REPLACE VIEW suser_supervisor_v AS 
SELECT currentuser.id,
    currentuser.id AS effective_user,
    supervisor.id AS supervisor,
    supervisor.unique_user_id AS supervisor_unique_id,
    supervisor.display_name AS supervisor_name
   FROM suser currentuser
     LEFT JOIN suser supervisor ON currentuser.supervisor_unique_id = supervisor.unique_user_id
  WHERE currentuser.deleted = 0 AND currentuser.effective = 1 AND supervisor.deleted = 0 AND supervisor.effective = 1;

  GRANT SELECT ON igops.suser_supervisor_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM suser_supervisor_v for igops.suser_supervisor_v;